> ## Documentation Index
> Fetch the complete documentation index at: https://docs.breezeblue.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get localize preview

> Get the status of a voice localization job. Once status is ready, generated_voice_id can be downloaded and saved like any other voice preview.

<section className="api-next-steps" aria-label="Continue building">
  ## Continue building

  <Columns cols={2}>
    <Card title="Download completed voice preview" icon="braces" href="/api-reference/voice-previews/download-completed-voice-preview">Download the completed localized preview.</Card>
    <Card title="Save voice preview" icon="braces" href="/api-reference/voice-previews/save-voice-preview">Save the chosen localized voice.</Card>
    <Card title="Localizing a voice" icon="book-open" href="/guides/voice-localize">Generate, audition, and save localized previews.</Card>
  </Columns>
</section>


## OpenAPI

````yaml /openapi.json get /v1/voice-previews/localize/{generation_job_id}
openapi: 3.1.0
info:
  title: Breeze Developer API
  description: >-
    Breeze Developer API for models, voices, text-to-speech, history, balance,
    usage, and browser-managed API keys.
  version: 1.0.0
servers:
  - url: https://api.breeze.blue
security: []
tags:
  - name: Models
    description: Supported TTS models.
  - name: Text to Speech
    description: Text-to-speech synthesis and instruction enhancement.
  - name: Voices
    description: Saved voices and voice settings.
  - name: Voice Previews
    description: Create, audition, and save temporary voice previews.
  - name: Account
    description: Balance, usage, and API keys.
  - name: History
    description: Generated audio history.
paths:
  /v1/voice-previews/localize/{generation_job_id}:
    get:
      tags:
        - Voice Previews
      summary: Get localize preview
      description: >-
        Get the status of a voice localization job. Once status is ready,
        generated_voice_id can be downloaded and saved like any other voice
        preview.
      operationId: voice_previews_localize_status
      parameters:
        - name: generation_job_id
          in: path
          required: true
          schema:
            title: Generation Job Id
            type: string
          description: >-
            Job identifier returned by POST /v1/voice-previews/localize. See
            [Async
            jobs](https://docs.breezeblue.ai/guides/text-to-speech#async-jobs).
      responses:
        '200':
          description: Voice localization job.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/VoiceLocalizePreviewStatusResponse'
          headers:
            x-breeze-api-key-id:
              description: >-
                Public API key identifier used to authenticate the request, when
                an API key was used.
              schema:
                type: string
        '401':
          description: HTTP 401 error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: HTTP 404 error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - ApiKeyAuth: []
      x-codeSamples:
        - lang: cURL
          label: cURL
          source: |-
            curl \
              --request GET \
              --url "https://api.breeze.blue/v1/voice-previews/localize/job_01hasync" \
              --header "xi-api-key: $BREEZE_API_KEY"
        - lang: Python
          label: Python SDK
          source: |-
            import os

            from breeze_blue import BreezeBlue

            client = BreezeBlue(api_key=os.environ["BREEZE_API_KEY"])

            job = client.voices.get_localize_preview("job_01hasync")

            if job["status"] == "ready":
                print(job["generated_voice_id"])
        - lang: TypeScript
          label: TypeScript SDK
          source: |-
            import { BreezeBlueClient } from "@breeze.blue/sdk";

            const client = new BreezeBlueClient({
              apiKey: process.env.BREEZE_API_KEY!,
            });

            const job = await client.voices.getLocalizePreview("job_01hasync");

            if (job.status === "ready") {
              console.log(job.generatedVoiceId);
            }
components:
  schemas:
    VoiceLocalizePreviewStatusResponse:
      properties:
        generation_job_id:
          title: Generation Job Id
          type: string
        status:
          title: Status
          type: string
        language_code:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: >-
            Language the localized preview speaks, once the job is ready. See
            [supported language
            codes](https://docs.breezeblue.ai/concepts/multilingual).
          title: Language Code
        generated_voice_id:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Preview ID to audition and save, available once the job is ready.
          title: Generated Voice Id
        text:
          anyOf:
            - type: string
            - type: 'null'
          default: null
          description: Script the localized preview reads.
          title: Text
        error:
          anyOf:
            - $ref: '#/components/schemas/GenerationJobErrorResponse'
            - type: 'null'
          default: null
      required:
        - generation_job_id
        - status
      title: VoiceLocalizePreviewStatusResponse
      type: object
    ErrorResponse:
      properties:
        ok:
          default: false
          title: Ok
          type: boolean
        code:
          title: Code
          type: string
        detail:
          title: Detail
          type: string
        error:
          title: Error
          type: string
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          default: null
          title: Meta
      required:
        - code
        - detail
        - error
      title: ErrorResponse
      type: object
    GenerationJobErrorResponse:
      properties:
        code:
          title: Code
          type: string
        detail:
          title: Detail
          type: string
      required:
        - code
        - detail
      title: GenerationJobErrorResponse
      type: object
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: xi-api-key
      description: Breeze Developer API key.

````